Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica
Class CompileStylesheet.TracingObjectOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              com.saxonica.CompileStylesheet.TracingObjectOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  CompileStylesheet

    public static class CompileStylesheet.TracingObjectOutputStream

extends FilterOutputStream

Tracing version of ObjectOutputStream for diagnostics

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`CompileStylesheet.TracingObjectOutputStream(OutputStream oos)`

Method Summary
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)` Writes `len` bytes from the specified `byte` array starting at offset `off` to this output stream.

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompileStylesheet.TracingObjectOutputStream

    public CompileStylesheet.TracingObjectOutputStream(OutputStream oos)

Method Detail

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Writes `len` bytes from the specified `byte` array starting at offset `off` to this output stream.

  The `write` method of `FilterOutputStream` calls the `write` method of one argument on each `byte` to output.

  Note that this method does not call the `write` method of its underlying input stream with the same arguments. Subclasses of `FilterOutputStream` should provide a more efficient implementation of this method.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `b` - the data.
    `off` - the start offset in the data.
    `len` - the number of bytes to write.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterOutputStream.write(int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.